# ApplicationFramework
TKBinTObj
BinTObjDrivers

# BinTObjDrivers_ObjectDriver Class Reference

`#include <BinTObjDrivers_ObjectDriver.hxx>`

Inheritance diagram for BinTObjDrivers_ObjectDriver:

[legend]

## Public Member Functions

Standard_EXPORT | BinTObjDrivers_ObjectDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT | Handle (TDF_Attribute) NewEmpty() const
Standard_EXPORT Standard_Boolean | Paste (const BinObjMgt_Persistent &Source, const Handle(TDF_Attribute)&Target, BinObjMgt_RRelocationTable &RelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Source, BinObjMgt_Persistent &Target, BinObjMgt_SRelocationTable &RelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .

## Constructor & Destructor Documentation

Standard_EXPORT BinTObjDrivers_ObjectDriver::BinTObjDrivers_ObjectDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT BinTObjDrivers_ObjectDriver::Handle | ( | TDF_Attribute |  | ) | const

Standard_EXPORT void BinTObjDrivers_ObjectDriver::Paste | ( | const Handle(TDF_Attribute)& | Source,
|  | BinObjMgt_Persistent & | Target,
|  | BinObjMgt_SRelocationTable & | RelocTable
| ) | const`[virtual]`

| Implements BinMDF_ADriver.

Standard_EXPORT Standard_Boolean BinTObjDrivers_ObjectDriver::Paste | ( | const BinObjMgt_Persistent & | Source,
|  | const Handle(TDF_Attribute)& | Target,
|  | BinObjMgt_RRelocationTable & | RelocTable
| ) | const`[virtual]`

| Implements BinMDF_ADriver.

The documentation for this class was generated from the following file:

- BinTObjDrivers_ObjectDriver.hxx